<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="a8394b15-ae0a-4260-b35c-f27b4228a58c" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="ComposerSettings" synchronizationState="SYNCHRONIZE">
    <pharConfigPath>$PROJECT_DIR$/phpMyAdmin4.8.5/composer.json</pharConfigPath>
  </component>
  <component name="FUSProjectUsageTrigger">
    <session id="-145852260">
      <usages-collector id="statistics.lifecycle.project">
        <counts>
          <entry key="project.closed" value="1" />
          <entry key="project.open.time.26" value="1" />
          <entry key="project.open.time.7" value="1" />
          <entry key="project.opened" value="2" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.open">
        <counts>
          <entry key="html" value="13" />
          <entry key="php" value="39" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.open">
        <counts>
          <entry key="HTML" value="13" />
          <entry key="PHP" value="39" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.extensions.edit">
        <counts>
          <entry key="dummy" value="7" />
          <entry key="html" value="1757" />
          <entry key="php" value="4333" />
        </counts>
      </usages-collector>
      <usages-collector id="statistics.file.types.edit">
        <counts>
          <entry key="HTML" value="1785" />
          <entry key="PHP" value="4305" />
          <entry key="PLAIN_TEXT" value="7" />
        </counts>
      </usages-collector>
    </session>
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/action.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="75">
              <caret line="3" column="12" selection-start-line="3" selection-start-column="12" selection-end-line="3" selection-end-column="12" />
              <folding>
                <element signature="n#__destruct#0;n#Mysql#0;n#!!top" />
                <element signature="n#getInstance#0;n#Mysql#0;n#!!top" />
                <element signature="n#mysql#0;n#Mysql#0;n#!!top" />
                <element signature="e#1708#4850#0#PHP" />
                <element signature="n#style#0;n#a#1;n#td#6;n#!!top" expanded="true" />
                <element signature="e#60#67#0" expanded="true" />
                <element signature="n#style#0;n#p#0;n#!!top" expanded="true" />
                <element signature="n#showSubject#0;n#Mysql#0;n#!!top" />
                <element signature="n#add#0;n#Mysql#0;n#!!top" />
                <element signature="n#delete#0;n#Mysql#0;n#!!top" />
                <element signature="n#edit#0;n#Mysql#0;n#!!top" />
                <element signature="n#login#0;n#Mysql#0;n#!!top" />
                <element signature="n#logout#0;n#Mysql#0;n#!!top" />
                <element signature="n#action#0;n#Mysql#0;n#!!top" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="HTML File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>sex</find>
      <find>deleteuser</find>
      <find>\&quot;</find>
      <find>修改</find>
      <find>id=&quot;de</find>
      <find>$total_pages</find>
    </findStrings>
    <replaceStrings>
      <replace>'</replace>
    </replaceStrings>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/head.php" />
        <option value="$PROJECT_DIR$/foot.php" />
        <option value="$PROJECT_DIR$/guanli.html" />
        <option value="$PROJECT_DIR$/test.html" />
        <option value="$PROJECT_DIR$/test.php" />
        <option value="$PROJECT_DIR$/login.php" />
        <option value="$PROJECT_DIR$/mysql.php" />
        <option value="$PROJECT_DIR$/add.php" />
        <option value="$PROJECT_DIR$/login.html" />
        <option value="$PROJECT_DIR$/logout.php" />
        <option value="$PROJECT_DIR$/logout.html" />
        <option value="$PROJECT_DIR$/head.html" />
        <option value="$PROJECT_DIR$/guanli.php" />
        <option value="$PROJECT_DIR$/index.php" />
        <option value="$PROJECT_DIR$/add.html" />
        <option value="$PROJECT_DIR$/action.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="NodePackageJsonFileManager">
    <packageJsonPaths>
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/package.json" />
    </packageJsonPaths>
  </component>
  <component name="PhpServers">
    <servers />
  </component>
  <component name="PhpWorkspaceProjectConfiguration">
    <include_path>
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/symfony/polyfill-util" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/bacon/bacon-qr-code" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/symfony/polyfill-php56" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/symfony/polyfill-ctype" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/symfony/expression-language" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/phpseclib/phpseclib" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/psr/container" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/google/recaptcha" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/samyoul/u2f-php-server" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/composer" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/phpmyadmin/shapefile" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/phpmyadmin/sql-parser" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/phpmyadmin/motranslator" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/pragmarx/google2fa" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/paragonie/constant_time_encoding" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/paragonie/random_compat" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/tecnickcom/tcpdf" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/twig/twig" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/twig/extensions" />
      <path value="$PROJECT_DIR$/phpMyAdmin4.8.5/vendor/symfony/polyfill-mbstring" />
    </include_path>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="612" />
    <option name="y" value="41" />
    <option name="width" value="1400" />
    <option name="height" value="920" />
  </component>
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="www.bilihuayun.com" type="b2602c69:ProjectViewProjectNode" />
              <item name="www.bilihuayun.com" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="a8394b15-ae0a-4260-b35c-f27b4228a58c" name="Default Changelist" comment="" />
      <created>1625389082550</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1625389082550</updated>
      <workItem from="1625389086796" duration="26418000" />
      <workItem from="1625453595590" duration="37029000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="63447000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1936" height="1056" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info active="true" content_ui="combo" id="Project" order="0" visible="true" weight="0.25266525" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" sideWeight="0.49946696" weight="0.329718" />
      <window_info anchor="bottom" id="Run" order="2" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.4" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Database Changes" order="8" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="9" show_stripe_button="false" />
      <window_info anchor="bottom" id="Terminal" order="10" sideWeight="0.49946696" visible="true" weight="0.329718" />
      <window_info anchor="bottom" id="Event Log" order="11" sideWeight="0.50053304" side_tool="true" visible="true" weight="0.329718" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="Database" order="3" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/foot.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/css.html">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/add.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="175">
          <caret line="7" column="21" selection-start-line="7" selection-start-column="21" selection-end-line="7" selection-end-column="21" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/test.php">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret selection-end-line="13" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/add.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="15" column="13" selection-start-line="15" selection-start-column="13" selection-end-line="15" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="9" column="48" lean-forward="true" selection-start-line="9" selection-start-column="6" selection-end-line="9" selection-end-column="48" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/logout.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="25">
          <caret line="1" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/login.html">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="51" lean-forward="true" selection-start-column="51" selection-end-column="69" />
          <folding>
            <element signature="n#style#0;n#h4#0;n#form#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/head.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="250">
          <caret line="10" column="37" lean-forward="true" selection-start-line="10" selection-start-column="37" selection-end-line="10" selection-end-column="37" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/logout.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="100">
          <caret line="4" column="137" selection-start-line="4" selection-start-column="137" selection-end-line="4" selection-end-column="137" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/add.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1650">
          <caret line="238" column="49" selection-start-line="238" selection-start-column="49" selection-end-line="238" selection-end-column="49" />
          <folding>
            <element signature="n#div#0;n#div#0;n#!!top" />
            <element signature="n#style#0;n#div#0;n#div#1;n#form#0;n#div#0;n#div#0;n#div#0;n#!!top" expanded="true" />
            <element signature="n#div#0;n#div#1;n#!!top" />
            <element signature="n#style#0;n#span#0;n#h4#0;n#div#0;n#div#0;n#div#0;n#div#1;n#!!top" expanded="true" />
            <element signature="n#style#0;n#div#2;n#div#0;n#div#0;n#div#1;n#!!top" expanded="true" />
            <element signature="n#div#2;n#!!top" />
            <element signature="n#div#0;n#div#0;n#div#0;n#div#2;n#!!top" />
            <element signature="n#style#0;n#div#0;n#div#1;n#form#0;n#div#0;n#div#0;n#div#2;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/guanli.php">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="10" lean-forward="true" selection-start-column="10" selection-end-column="10" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-157">
          <caret line="3" column="63" selection-start-line="3" selection-start-column="63" selection-end-line="3" selection-end-column="63" />
          <folding>
            <element signature="n#style#0;n#span#0;n#h4#0;n#!!top" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/action.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="75">
          <caret line="3" column="12" selection-start-line="3" selection-start-column="12" selection-end-line="3" selection-end-column="12" />
          <folding>
            <element signature="n#__destruct#0;n#Mysql#0;n#!!top" />
            <element signature="n#getInstance#0;n#Mysql#0;n#!!top" />
            <element signature="n#mysql#0;n#Mysql#0;n#!!top" />
            <element signature="e#1708#4850#0#PHP" />
            <element signature="n#style#0;n#a#1;n#td#6;n#!!top" expanded="true" />
            <element signature="e#60#67#0" expanded="true" />
            <element signature="n#style#0;n#p#0;n#!!top" expanded="true" />
            <element signature="n#showSubject#0;n#Mysql#0;n#!!top" />
            <element signature="n#add#0;n#Mysql#0;n#!!top" />
            <element signature="n#delete#0;n#Mysql#0;n#!!top" />
            <element signature="n#edit#0;n#Mysql#0;n#!!top" />
            <element signature="n#login#0;n#Mysql#0;n#!!top" />
            <element signature="n#logout#0;n#Mysql#0;n#!!top" />
            <element signature="n#action#0;n#Mysql#0;n#!!top" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>